HIMS ERP 1.0 - Feature #229

R&D on Charts for the dashboard integration
01/05/2024 11:17 AM - Sivakanth Kesiraju

Status: Closed Start date: 01/05/2024
Priority: High Due date:

Assignee: Pratyusha Atmakuri % Done: 100%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

Please do research on the Charts for the dashboard integration.
Try with various options available in the market:

AmCharts
ECharts and etc.

History

#1 - 30/04/2024 10:56 PM - Sivakanth Kesiraju

- Assignee set to Pratyusha Atmakuri

#2 - 30/04/2024 11:33 PM - Pratyusha Atmakuri
- File AMCharts_Drill_Down_example.mov added
- File Echarts Drilldown Bar charts.mov added

Drill down Bar charts for Echarts & Amcharts

#3 - 30/04/2024 11:35 PM - Pratyusha Atmakuri
- File Echarts_Dirilldown_30_April_Archive.zip added
- File AMCharts_DrillDown-30-April-24.zip added

#4 - 30/04/2024 11:36 PM - Pratyusha Atmakuri
- % Done changed from 0 to 50

#5 - 30/04/2024 11:39 PM - Pratyusha Atmakuri
- File angular-17-charts_Modal.zip added
- File Screen Recording 2024-04-30 at 12.02.13 AM.mov added

Angular 17 Echarts with Modal Popup

#6 - 01/05/2024 11:42 AM - Pratyusha Atmakuri

- File Screen Recording 2024-05-02 at 12.07.04 AM.mov added
- File Screenshot 2024-05-01 at 11.56.22 PM.png added

- File AMCHARTS_Stacked Bar_Chart_Dirilldown.zip added

Stacked bar Chart JSON Structure

private getinitialData(): any(] {

return [ {

category: 'Fruits',

firstValue: 200,

secondValue: 100,

subData: [ { category: 'Apples’, firstValue: 120, secondValue: 60 }, { category: 'Bananas', firstValue: 80, secondValue: 40 },
1,

oA
category: 'Vegetables',
firstValue: 150,
secondValue: 120,

subData: [ { category: 'Tomatoes', firstValue: 75, secondValue: 50 },

1

oA

category: 'Legumes’,
firstValue: 160,
secondValue: 90,

subData: [ { category: 'Lentils, firstValue: 100, secondValue: 60 },

1

oA

category: 'Grains',
firstValue: 180,
secondValue: 150,

subData: [ { category: 'Quinoa’, firstValue: 90, secondValue: 60 },

1

oA

category: 'Nuts and Seeds',
firstValue: 100,
secondValue: 50,

subData: [ { category: 'Almonds', firstValue: 60, secondValue: 30 },

I,

}
I;
}
#7 - 10/05/2024 06:27 AM - Sivakanth Kesiraju
- Status changed from New to In Progress

#8 - 15/05/2024 09:12 AM - Pratyusha Atmakuri
- Status changed from In Progress to Closed

- % Done changed from 50 to 100
Updated all types of charts

Files

{ category: 'Carrots', firstValue: 75, secondValue: 70 },

{ category: 'Chickpeas’, firstValue: 60, secondValue: 30 },

{ category: 'Rice’, firstValue: 90, secondValue: 90 },

{ category: 'Walnuts', firstValue: 40, secondValue: 20 },

Echarts Drilldown Bar charts.mov
AMCharts_Drill_Down_example.mov
Echarts_Drilldown_30_April_Archive.zip
AMCharts_DrillDown-30-April-24.zip
angular-17-charts_Modal.zip

Screen Recording 2024-04-30 at 12.02.13 AM.mov
Screen Recording 2024-05-02 at 12.07.04 AM.mov
Screenshot 2024-05-01 at 11.56.22 PM.png
